OMToolkit 1.0 The polygonal mesh processing tool.

- Main Page
- Related Pages
- Namespaces
- Classes
- Files

- File List
- File Members

All Classes Namespaces Files Functions Variables Typedefs Enumerations Enumerator Macros Pages
Typedefs | Functions | Variables
ComputeDescriptors.cpp File Reference
`#include "ComputeDescriptors.h"`
`#include <OMToolkit\IO\OMIO.h>`
`#include <OMToolkit\OMTypes.h>`
`#include <OMToolkit\OMMatrixDescriptors.h>`
`#include <OpenMesh\Tools\Utils\Timer.hh>`

## Typedefs
typedef OMToolkit::Types::ModuleMeshd | MeshT

## Functions
int | main (int argc, char *argv[])

## Variables
const std::string | MODULE_DESCRIPTION = "Module that computes the interest points and descriptors from the mesh"
const std::string | MODULE_ARGUMENTS = "feature_count:sift_size:sift_resolution:sift_diameter:filename"
const std::string | MODULE_ARG_COUNT = "feature_count"
const std::string | MODULE_ARG_SIZE = "sift_size"
const std::string | MODULE_ARG_RES = "sift_resolution"
const std::string | MODULE_ARG_DIAM = "sift_diameter"
const std::string | MODULE_ARG_FILE = "filename"
const double | SIZE_DEFAULT = 10.0
const int | RES_DEFAULT = 31
const int | COUNT_DEFAULT = 1000
const double | DIAM_DEFAULT = 31
const std::string | FILE_DEFAULT = "out.txt"

## Detailed Description

OpenMesh Toolkit for mesh analysis
Copyright (c) 2010 by Rostislav Hulik

Author: Rostislav Hulik, ihuli.nosp@m.k@fi.nosp@m.t.vut.nosp@m.br.c.nosp@m.z
Date: 2010/11/21

Module description:

- The module computes N feature vertices
- From the feature points, the SIFT features are computed
- Results are saved in the output file
- The output mesh has modified curvature magnitude (255 if feature point, 0 else)

## Typedef Documentation

typedef OMToolkit::Types::ModuleMeshd MeshT

## Function Documentation

int main | ( | int | argc,
|  | char * | argv[]
| ) |  |

## Variable Documentation

const int COUNT_DEFAULT = 1000

const double DIAM_DEFAULT = 31

const std::string FILE_DEFAULT = "out.txt"

const std::string MODULE_ARG_COUNT = "feature_count"

const std::string MODULE_ARG_DIAM = "sift_diameter"

const std::string MODULE_ARG_FILE = "filename"

const std::string MODULE_ARG_RES = "sift_resolution"

const std::string MODULE_ARG_SIZE = "sift_size"

const std::string MODULE_ARGUMENTS = "feature_count:sift_size:sift_resolution:sift_diameter:filename"

const std::string MODULE_DESCRIPTION = "Module that computes the interest points and descriptors from the mesh"

const int RES_DEFAULT = 31

const double SIZE_DEFAULT = 10.0